#!/bin/bash
# /opt/local/ramdisk_cp.sh
#
# Goal: Copy contents of /mnt/home/ramdisk to /mnt/ram1 at boot.
#
# © Christian L'Écuyer, Gatineau (Qc), Canada, Oct. 14-15 2017. GPL3
# (Alias musher0 [forum Puppy].) # https://opensource.org/licenses/GPL-3.0
#################
#   	This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#		This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#    	You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
##########

if [ -d /mnt/ram1 ];then # If ramdisk exists and
	if [ "`ls -1 /mnt/ram1`" = "" ];then # is empty,
		if [ "`ls -1 /mnt/home/ramdisk/*`" != "" ];then # if ramdisk save dir. NOT empty,
			if [ "`du /mnt/home/ramdisk | awk '{ print $1 }'`" -lt "`df /mnt/ram1 | awk '$NF ~ /ram1/ { print $4 }'`" ];then # and if ramdisk can contain the material.
				cd /mnt/home/ramdisk
				cp -f -r *.* /mnt/ram1 # we copy.
			fi # Otherwise we do nothing,
		fi # nada,
	fi # zilch,
fi # rien.
